Summary:	Small HTTP/SSL proxy daemon
Summary(pl.UTF-8):	Mały demon proxy
Name:		tinyproxy
Version:	1.8.4
Release:	1
License:	GPL v2
Group:		Networking/Daemons/HTTP
Source0:	https://github.com/tinyproxy/tinyproxy/releases/download/%{version}/%{name}-%{version}.tar.bz2
# Source0-md5:	1c65daa8ca3394999f218a832112f35f
Source1:	%{name}.init
URL:		https://tinyproxy.github.io/
BuildRequires:	rpmbuild(macros) >= 1.228
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tinyproxy is a small, efficient HTTP/SSL proxy daemon. Tinyproxy is
very useful in a small network.

%description -l pl.UTF-8
Tinyproxy jest małym, wydajnym demonem proxy HTTP/SSL. Jest bardzo
przydatny w małych sieciach lokalnych.

%prep
%setup -q

%build
%configure \
	--disable-silent-rules \
	--sysconfdir=%{_sysconfdir}/%{name} \
	--enable-transparent

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/etc/rc.d/init.d
cp -p %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/tinyproxy

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add tinyproxy
%service tinyproxy restart "tinyproxy daemon"

%preun
if [ "$1" = "0" ]; then
	%service tinyproxy stop
	/sbin/chkconfig --del tinyproxy
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS README TODO
%attr(755,root,root) %{_sbindir}/tinyproxy
%{_datadir}/%{name}
%dir %{_sysconfdir}/%{name}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/tinyproxy.conf
%attr(754,root,root) /etc/rc.d/init.d/tinyproxy
%{_mandir}/man5/tinyproxy.conf.5*
%{_mandir}/man8/tinyproxy.8*
%changelog
* Wed Jan 06 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/tinyproxy.git;a=log;h=master

* Wed Jan 06 2016 Elan Ruusamäe <glen@delfi.ee> 2acce6c
- simplify/unify initscript

* Wed Jan 06 2016 Elan Ruusamäe <glen@delfi.ee> 262c530
- use make install; daemon moved to sbin

* Wed Jan 06 2016 Elan Ruusamäe <glen@delfi.ee> 976e49a
- up to 1.8.4, project moved to sf->bb->gh

* Mon Mar 31 2014 Mateusz Korniak <matkor@pld-linux.org> 1bfb530
- Updated to 1.8.3.

* Mon Mar 31 2014 Mateusz Korniak <matkor@pld-linux.org> d8aa893
- Applied upstream

* Sat Feb 16 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 9b9b770
- drop AM_C_PROTOTYPES (no longer supported by automake)

* Wed Aug 26 2009 pawelz <pawelz@pld-linux.org> 4c15c12
- make use of %service macro, added proper BR
- added warning about unstable version

* Fri Jan 09 2009 Paweł Gołaszewski <blues@pld-linux.org> f1c0426
- full path in init-script

* Sat Oct 25 2008 Paweł Gołaszewski <blues@pld-linux.org> ebcdfde
- HTTP group

* Tue Apr 08 2008 Michał Łukaszek <mlukaszek+pld@gmail.com> d604e75
- fix packaging, rel 2

* Sat Oct 20 2007 kosmo <kosmo@pld-linux.org> 32d2851
- enable transparent-proxy mode

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 676926e
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 07f4a36
- converted to UTF-8

* Sat Feb 10 2007 Paweł Gołaszewski <blues@pld-linux.org> 621d6ca
- pl desc fix

* Wed Jul 26 2006 Elan Ruusamäe <glen@pld-linux.org> 11b44fc
- avoid defining default %attr

* Mon May 22 2006 Elan Ruusamäe <glen@pld-linux.org> fa491c5
- deamon->daemon spelling fix

* Thu Dec 08 2005 Elan Ruusamäe <glen@pld-linux.org> f0c75f9
- killed trailing spaces/tabs

* Tue Nov 30 2004 zbyniu <zbyniu@pld-linux.org> 8003ce6
- added PreReq: rc-scripts and Requires(): /sbin/chkconfig for daemon

* Thu Feb 05 2004 eothane <eothane@pld-linux.org> 5d67dd4
- updated to 1.7.0

* Thu Oct 23 2003 Adam Gołębiowski <adamg@pld-linux.org> f73a7c9
- updated to 1.6.2

